Create an orderAsk AIpost https://api.slopepay.com/v4/ordersCreates a new order for checkout. Returns both a code for Slope.JS widget and full URL for redirect flowBody ParamstotalnumberrequiredTotal amount of the order, in cents. Must be greater than 0currencystringenumrequiredThe currency of the ordermxnusdAllowed:mxnusdexternalIdstringrequiredThe external ID of the order, used for merchant reference. Must be unique.itemsarray of objectsrequiredThe line items in the order.items*ADD objectcustomerIdstringOptional: The Slope customer ID for this order. If set, only this Slope customer will be able to access the order.contactBusinessNamestringThe customer business namecontactEmailstringThe customer email addresscontactFirstNamestringThe customer first namecontactLastNamestringThe customer last namecontactDesiredLimitstringThe desired funding limit for the customer, in cents.contactPhonestringThe customer phone number in E.164 format.billingAddressobjectThe billing address of the order.billingAddress objecttaxIdstringThe Federal EIN / Tax ID of this business. Must be 9 digits.payoutAccountIdstringIf provided, overrides the default payout account for this orderpayeeExternalIdstringThe external ID of the payee receiving the payout for this orderpayeeNamestringThe name of the payee receiving the payout for this orderresumeUrlstring(Optional) The URL to redirect the user if an order is approved offline. Relevant only if an order transitions from "pending" to "approved" status.cancelUrlstring(Optional) The URL to redirect to if the user cancels the checkout. Relevant for redirect flow onlysuccessUrlstring(Optional) The URL to redirect to if the user completes the checkout. Relevant for redirect flow onlymetadataobjectAny additional metadata to attach to the order. This takes in a objectmetadata objectuiTypestringenumThe type of integration that is being used.composableAllowed:composableHeadersSlope-Access-TokenstringrequiredThe access token returned from exchanging the short lived authorizationCode /v4/auth/token endpoint.Responses 201The created order. Returns either a standard order or a composable order depending on the uiType. 400Bad Request - Invalid request format or validation errors 409Conflict - Request conflicts with current state of the resource 422Unprocessable Entity - Request validation failed 500Internal Server Error - An unexpected error occurredUpdated 6 months ago